petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscMallocGetDebug

Indicates if any PETSc is doing ANY memory debugging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocGetDebug(PetscBool *flg)

Not Collective

### Output Parameter

flg -PETSC_TRUE if any debugger

Note that by default, the debug version always does some debugging unless you run with -malloc no

### See Also

CHKMEMQ(), PetscMallocValidate()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages